Bug 505006 - Sets root window cursor in a live install
Sets root window cursor in a live install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On: 581912
Blocks: AnacondaUI
  Show dependency treegraph
Reported: 2009-06-10 06:55 EDT by Bastien Nocera
Modified: 2011-12-21 13:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-12-21 13:26:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed fix (7.77 KB, patch)
2010-04-13 11:38 EDT, Ales Kozumplik
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2009-06-10 06:55:27 EDT
When installing from a USB key, or LiveCD, anaconda sets the root window cursor to be busy. But if Anaconda backtraces, or doesn't finish properly, the root window cursor is left spinning, with the user wondering what the system is doing.

The fix would be to set the cursor only for the installer window when in live install mode.
Comment 1 Ales Kozumplik 2010-04-13 11:37:52 EDT
Proposing a fix that never sets the root window cursor and instead sets waiting cursor on the anaconda main window and the waiting notification dialogs.

Unfortunately, there are issues with the patch due to bug 581912.
Comment 2 Ales Kozumplik 2010-04-13 11:38:33 EDT
Created attachment 406275 [details]
proposed fix
Comment 3 Bug Zapper 2010-04-27 10:43:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2010-07-30 06:40:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
Comment 6 Chris Lumens 2011-12-21 13:26:38 EST
I am not planning on doing any busy cursor manipulations in the new UI if I can at all help it.  This should therefore not be a problem in F17.

Note You need to log in before you can comment on or make changes to this bug.